<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">
	<title>Reporte</title>
	<style>
		@page {
			page-break-before: always;
		}

		body {
			font-family: Arial, Helvetica, sans-serif;
			box-sizing: border-box;
			width: 99%;
		}

		header {
			/* position: fixed; */
			text-align: center;
			/* height: 150px; */
		}

		header,
		main {
			width: 100%;
			margin-bottom: 30px;
		}

		.header-content {
			border: 1px solid black;
			padding: 5px 10px;
		}

		table.header-table>tbody>tr>td {
			text-align: left;
		}

		table.records-table {
			width: 100%;
			border-collapse: collapse;
		}

		table.records-table>thead {
			border: 1px solid black;
			padding: 5px 10px;
		}

		table.records-table>thead>tr>th {
			text-align: left;
		}

		table.records-table>thead>tr>th {
			padding-left: 10px;
			padding-right: 10px;
		}

		table.records-table>thead>tr>th:first-child {
			padding-left: 0px;
		}

		table.records-table>thead>tr>th:last-child {
			padding-right: 0px;
		}

		table.records-table>tbody>tr:first-child>td {
			padding-top: 10px;
		}

		table.records-table>tbody>tr>td {
			padding-left: 10px;
			padding-right: 10px;
		}

		table.records-table>tbody>tr>td:first-child {
			padding-left: 0px;
		}

		table.records-table>tbody>tr>td:last-child {
			padding-right: 0px;
		}
	</style>
</head>

<body>
	<header>
		<h2 class="titulo">CONTABILIZACIÓN DE TURNO</h2>
		<div class="header-content">
			<table class="header-table">
				<tbody>
					<tr>
						<td><b>Turno:</b></td>
						<td>{{ data.code }}</td>
					</tr>
					<tr>
						<td><b>Fecha:</b></td>
						<td>{{ data.work_date }}</td>
					</tr>
					<tr>
						<td><b>Origen:</b></td>
						<td>{{ data.cash_origin }}</td>
					</tr>
					<tr>
						<td><b>Caja:</b></td>
						<td>{{ data.cash_register }}</td>
					</tr>
					<tr>
						<td><b>Cajero:</b></td>
						<td>{{ data.cashier}}</td>
					</tr>
				</tbody>
			</table>
		</div>
	</header>
	<main>
		<table class="records-table">
			<thead>
				<tr>
					<th>Cuenta</th>
					<th>Descripción</th>
					<th>Debe</th>
					<th>Haber</th>
					<th>Concepto</th>
				</tr>
			</thead>
			<tbody>
                {{#each data.records}}
				<tr>
					<td>{{ account }}</td>
					<td style="white-space: nowrap;">{{ description }}</td>
					<td style="text-align: right;">{{ debit }}</td>
					<td style="text-align: right;">{{ credit }}</td>
					<td style="white-space: nowrap;">{{ concept }}</td>
				</tr>
                {{/each}}
				<tr>
					<td colspan="2" style="padding-top: 10px; text-align: left;">TOTAL</td>
					<td style="padding-top: 10px; text-align: right;"><b>{{ data.totals.debit }}</b></td>
					<td style="padding-top: 10px; text-align: right;"><b>{{ data.totals.credit }}</b></td>
					<td></td>
				</tr>
			</tbody>
		</table>
	</main>
	<div style="page-break-after:auto;">
</body>

</html>